I have used several web gui torrent apps but none seemed to work as smooth and has such a clean gui like
Transmission. My aim was to install it on clearos but I run into some trouble with an old libcurl, unfortunately I couldn't update libcurl due to dependency issues with php. So I managed to install both on the system to keep backwards compatibility!
Here the instructions:
First update and install some libraries
| Code: |
yum clean all
yum update
yum groupinstall "Development Tools"
yum install openssl-devel libidn-devel
|
Now we will install libcurl 7.16, I also stopped apache so there will likely be less problems with php, but I'm not sure this step is needed.
| Code: |
service httpd stop
cd /var/tmp
wget http://temp.marcinrybak.com/curl-7.16.4-8.el5.i386.rpm
wget http://temp.marcinrybak.com/curl-devel-7.16.4-8.el5.i386.rpm
rpm –Uvh --nodeps curl-7.16.4-8.el5.i386.rpm
rpm –ivh curl-devel-7.16.4-8.el5.i386.rpm
|
The next step is to install Transmission
| Code: |
wget http://mirrors.m0k.org/transmission/files/transmission-1.83.tar.bz2
tar -jxvf transmission-1.83.tar.bz2
cd transmission-1.83
./configure --enable-cli --disable-gtk --disable-mac --disable-nls
make
make check
make install
cd ../
|
Transmission is build so we can restore the old curl and make sure the libraries of new curl are kept make sure you still have 'curl-7.16.4-8.el5.i386.rpm' in your tmp dir
| Code: |
rpm -e --nodeps curl-7.16.4
rpm -e curl-devel-7.16.4
wget http://download.clearfoundation.com/clearos/enterprise/5.1/System/RPMS/curl-7.15.5-2.1.el5_3.5.i386.rpm
rpm –ivh curl-7.15.5-2.1.el5_3.5.i386.rpm
rpm2cpio curl-7.16.4-8.el5.i386.rpm | cpio -idmv
cp ./usr/lib/libcurl.so.4.0.0 /usr/lib/libcurl.so.4.0.0
cp ./usr/lib/libcurl.so.4 /usr/lib/libcurl.so.4
service httpd start
|
We are now almost finished, to start transmission start nicely you can use a init.d script. I included a script below but to make it work you will have to have the start stop deamon (from debian) so install this first!
So install the start stop deamon
| Code: |
wget ftp://ftp.de.debian.org/debian/pool/main/d/dpkg/dpkg_1.14.28.tar.gz
tar -xf dpkg_1.14.25.tar.gz
cd dpkg-1.14.25/
./configure >/dev/null
make >/dev/null
cd utils
make install
|
Now create a startup script using
| Code: |
nano /etc/init.d/transmission-daemon
|
and past this script
| Code: |
#! /bin/sh
### BEGIN INIT INFO
# Short-Description: Start the transmission BitTorrent daemon client.
#
# chkconfig: 2345 90 91
# description: Start up transmission-daemon
#
# processname: transmission-daemon
### END INIT INFO
# Original Author: Lennart A. JÃ.tte, based on Rob Howell's script
# Modified by Maarten Van Coile & others (on IRC)
# Do NOT "set -e"
#
# ----- CONFIGURATION -----
#
# For the default location Transmission uses, visit:
# http://trac.transmissionbt.com/wiki/ConfigFiles
# For a guide on how set the preferences, visit:
# http://trac.transmissionbt.com/wiki/EditConfigFiles
# For the available environement variables, visit:
# http://trac.transmissionbt.com/wiki/EnvironmentVariables
#
# The name of the user that should run Transmission.
# It's RECOMENDED to run Transmission in it's own user,
# by default, this is set to 'transmission'.
# For the sake of security you shouldn't set a password
# on this user
USERNAME=download
# ----- *ADVANCED* CONFIGURATION -----
# Only change these options if you know what you are doing!
#
# The folder where Transmission stores the config & web files.
# ONLY change this you have it at a non-default location
#TRANSMISSION_HOME="/var/config/transmission-daemon"
#TRANSMISSION_WEB_HOME="/usr/share/transmission/web"
#
# The arguments passed on to transmission-daemon.
# ONLY change this you need to, otherwise use the
# settings file as per above.
#TRANSMISSION_ARGS=""
# ----- END OF CONFIGURATION -----
#
# PATH should only include /usr/* if it runs after the mountnfs.sh script.
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DESC="bittorrent client"
NAME=transmission-daemon
DAEMON=$(which $NAME)
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS
#
# Function that starts the daemon/service
#
do_start()
{
# Export the configuration/web directory, if set
if [ -n "$TRANSMISSION_HOME" ]; then
export TRANSMISSION_HOME
fi
if [ -n "$TRANSMISSION_WEB_HOME" ]; then
export TRANSMISSION_WEB_HOME
fi
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
--exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \
|| return 1
start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
--exec $DAEMON --background -- -f $TRANSMISSION_ARGS \
|| return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
echo "Starting $DESC" "$NAME..."
do_start
case "$?" in
0|1) echo " Starting $DESC $NAME succeeded" ;;
*) echo " Starting $DESC $NAME failed" ;;
esac
;;
stop)
echo "Stopping $DESC $NAME..."
do_stop
case "$?" in
0|1) echo " Stopping $DESC $NAME succeeded" ;;
*) echo " Stopping $DESC $NAME failed" ;;
esac
;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
echo "Restarting $DESC $NAME..."
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0|1) echo " Restarting $DESC $NAME succeeded" ;;
*) echo " Restarting $DESC $NAME failed: couldn't start $NAME" ;;
esac
;;
*)
echo " Restarting $DESC $NAME failed: couldn't stop $NAME" ;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac
|
Now alter the username in the script to what you like, I made a new user 'download' with no password in the ClearOS webconfig. Connected a group to it and made a samba flexshare permissions for this group so my download will be accessible in my network (you can setup the download dir in the transmission webgui)
To finish it of and start tranission on boot
| Code: |
chmod +x /etc/init.d/transmission-daemon
chkconfig --add transmission-daemon
service transmission-daemon start
|
When you have done ''service transmission-daemon start'', transmission will start and put a .config folder in your users home dir. You can edit the settings.json file in this folder to your need. Mark that I had to alter 'rpc-whitelist-enabled' to 'false' in the settings.json file before I could access the webgui. After changing the settings please restart transmission using the daemon to make it work.
Transmission can be accessed by http:// ClearOS IP :9091/transmission/web/
Have Fun!